﻿using Newtonsoft.Json;
using Quartz;
using wms.dto.request.hj;
using wms.util;
using wms.util.Http;

namespace wms.api.Job
{
    /// <summary>
    /// 创建任务
    /// </summary>
    public class PostJob : IJob
    {
        public Task Execute(IJobExecutionContext context)
        {
            string jobCode = context.JobDetail.Key.Name;
            Action<string> action = new Action<string>(PostRequest);
            return Task.Run(() =>
            {
                PostRequest(jobCode);
            });
        }
        public void PostRequest(string jobCode)
        {

            var webBaseUrl = AppSettings.GetConfig("webapi");
            HttpUtil.PostRequest(webBaseUrl + "/api/Hj/ExecuteJob", JsonConvert.SerializeObject(new DetailCodeRequest { Code = jobCode }));
        }
    }
}
