﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.cp
{
    public class StockStateChangeRequest:BaseRequest
    {
        /// <summary>
        /// 单号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string BillCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WareCode { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ReqId { get; set; }
        /// <summary>
        /// 改判信息列表
        /// </summary>
        public List<StockStateChangeRequestItem> ListInfo { get; set; }
    }
    public class StockStateChangeRequestItem
    {

        /// <summary>
        /// 1放行/2冻结
        /// </summary>
        public string State { get; set; }
        /// <summary>
        /// 箱号
        /// </summary>
        public string BoxNo { get; set; }
    }
}
