﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class CurtainProductionOrderRequest:BaseRequest
    {
        /// <summary>
        /// 生产订单
        /// </summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 帘线生产工序单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 帘线物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// BOM编码
        /// </summary>
        public string BomInfo { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; }
        /// <summary>
        /// 码垛总箱数
        /// </summary>
        public int BoxCount { get; set; }
        /// <summary>
        /// 机台号列表
        /// </summary>
        public List<string> WbList { get; set; }
        /// <summary>
        /// 帘线工字轮计划总数
        /// </summary>
        public int PlanQty { get; set; }
        /// <summary>
        /// 装箱规则(1：层配；2：SPC)
        /// </summary>
        public string PackRule { get; set; }
        /// <summary>
        /// 厂区编号
        /// </summary>
        public string FactoryNo { get; set; }
        /// <summary>
        /// 单据状态
        /// </summary>
        public string BillState { get; set; }
        /// <summary>
        /// 箱子信息列表
        /// </summary>
        public List<ListBoxInfoItem> ListBoxInfo { get; set; }

    }

    public class ListBoxInfoItem
    {
        /// <summary>
        /// 箱号
        /// </summary>
        public string BoxNo { get; set; }
        /// <summary>
        /// 每箱满轮子数
        /// </summary>
        public int FullCount { get; set; }
        /// <summary>
        /// 每箱空轮子数
        /// </summary>
        public int EmptyCount { get; set; }
        /// <summary>
        /// 是否允许焊点盘
        /// </summary>
        public string IsSolder { get; set; }
        /// <summary>
        /// 成套目标扭转值上限
        /// </summary>
        public decimal TorsionMax { get; set; }
        /// <summary>
        /// 成套目标扭转值下限
        /// </summary>
        public decimal TorsionMin { get; set; }
        /// <summary>
        /// 子托盘编码
        /// </summary>
        public string TrayCode { get; set; }
        /// <summary>
        /// 干燥剂
        /// </summary>
        public string Dryer { get; set; }
        /// <summary>
        /// 中间隔板
        /// </summary>
        public string Bulkhead { get; set; }
        /// <summary>
        /// 抽真空
        /// </summary>
        public string Vacuum { get; set; }
    }
}
