﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.hj
{
    public class HjMaterialStockInRequest
    {
        /// <summary>
        /// 楼层
        /// </summary>
        public int Floor { get; set; }

        /// <summary>
        /// 机台号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WbCode { get; set; }
        /// <summary>
        /// 指令类型(1补空；2取满；3补空取满；4：550工字轮)----镀铜入库
        /// 指令类型 1退料2余料3空轮----湿拉退料
        /// </summary>
        public int BusType { get; set; }
        /// <summary>
        /// 满轮RFID
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WareCode { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 生产日期
        /// </summary>
        public string ProductDate { get; set; }
        /// <summary>
        /// 是否快投
        /// </summary>
        public string IsFast { get; set; }
        /// <summary>
        /// 工字轮类型
        /// </summary>
        public string SpoolType { get; set; }
        /// <summary>
        /// 产线编码
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderCode { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 质量等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public decimal Length { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public string UpdatedTime { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        public string IsRework { get; set; }
 
        /// <summary>
        /// 起始点位 指令类型1，2时必传
        /// </summary>
        public string StartLoc { get; set; }
 
        /// <summary>
        /// 退料原因 连断/夹丝/锈蚀；指令类型1时必传
        /// </summary>
        public string Reason { get; set; }
 
        /// <summary>
        /// 是否锁定
        /// </summary>
        public string IsLock { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        public decimal Qty { get; set; }

    }
}
