﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.pt
{
    public class ProductionFeedBackRequest:BaseRequest
    {
        /// <summary>
        /// 单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 业务类型(领料/退料/库存改判： PickMat/ReturnMat/StateTrans)
        /// </summary>
        public string BillType { get; set; }
        /// <summary>
        /// 盘条信息列表
        /// </summary>
        public List<ProductionFeedBackRequestItem> ListInfo { get; set; }
    }
    public class ProductionFeedBackRequestItem
    {
        /// <summary>
        /// RFID
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        public string PackNo { get; set; }
        /// <summary>
        /// 生产批号
        /// </summary>
        public string Batch { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareName { get; set; }
        /// <summary>
        /// 改判结果(S成功 E失败（业务类型是“库存改判”必传）)
        /// </summary>
        public string ResState { get; set; }
        /// <summary>
        /// 原因(如果改判失败给出失败原因（业务类型是“库存改判”必传）)
        /// </summary>
        public string ResDesc { get; set; }
    }
}
