﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request.cp;
using wms.dto.response;
using wms.dto.response.cp;
using wms.sqlsugar.model;
using wms.sqlsugar.model.cp;

namespace wms.service.IService
{
    public interface ICPService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<CPSyncMaterInfoResponseItem> ResData);
        public cpSysConfig GetSysConfigByCode(string code);
        public cpSysConfig GetSysConfigByExpression(Expression<Func<cpSysConfig, bool>> WhereExpression);
        public cpBaseMater GetBaseMaterByExpression(Expression<Func<cpBaseMater, bool>> WhereExpression);
        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        public List<cpBillFeedbackPush> GetBillFeedbackList(Expression<Func<cpBillFeedbackPush, bool>> WhereExpression);
        public bool UpdateSysConfigModelColumns(UpdateModelColumns<cpSysConfig> updateModel);
        public SRes SalesDocTrans(SalesDocTransRequest reqDto);
        public SRes SalesBackDocTrans(SalesDocTransRequest reqDto);
        public SRes ComPushApiResInfo(ComPushApiResInfoRequest reqDto);
        public SRes ErrorMaterialStockOut(ErrorMaterialStockOutRequest reqDto);
        public SRes StockChange(CpStockChangeRequest reqDto);
        public StockStateChangeResponse StockStateChange(StockStateChangeRequest reqDto);
    }
}
