﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request;
using wms.dto.request.pt;
using wms.dto.request.pt.dto;
using wms.dto.request.share;
using wms.dto.response;
using wms.dto.response.pt;
using wms.dto.response.pt.dto;
using wms.sqlsugar.model;
using wms.sqlsugar.model.pt;

namespace wms.service.IService
{
    public interface IPTService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<PTSyncMaterInfoResponseItem> ResData);
        //public bool Add(ptBillDt data1);
        public ptSysConfig GetSysConfigByCode(string code);
        public ptSysConfig GetSysConfigByExpression(Expression<Func<ptSysConfig, bool>> WhereExpression);
        public ptBaseMater GetBaseMaterByExpression(Expression<Func<ptBaseMater, bool>> WhereExpression);
        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        List<ptBillPushinfo> GetBillFeedbackList();
        public bool UpdateSysConfigModelColumns(UpdateModelColumns<ptSysConfig> updateModel);
        public SRes PurchaseBillTrans(PurchaseBillTransReqest request);
        public SRes PurchaseBillTransFeedBack(PurchaseBillTransFeedBackRequest reqDto);
        public ErpUnlockStockResponse ErpUnlockStock(ErpUnlockStockRequest reqDto);
        /// <summary>
        /// 生产领料出库
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes ProductionStockOut(ProductionStockOutRequest reqDto);
        public SRes ProductionFeedBack(ProductionFeedBackRequest reqDto);
        public SRes StockChange(PtStockChangeRequest reqDto);
        public SRes ProductionBack(ProductionBackRequest reqDto);
        public PTGetCurStockListResponse GetCurStockList(PtGetCurStockListRequest reqDto);
        SRes<int> Unbounding(PtUnboundRequest request);
        SRes<PtDocumentsdetailList> GetDocumentDetailListByDocsNo(PtDocumentsRequest request);
        SRes<PtDocumentsResponse> GetPageDocumentsList(PtDocumentsRequest request);
        string ManualTask(PtManualTaskRequest request);
        string PdaGroupStock(PtGroupInTaskRequest request);
        string PdaInsterInTask(PtGroupInTaskRequest request);
        SRes<string> GetPtTunnelPriorityList(GetTunnelPriorityListRequest reqEntity);
        SRes<PtApplyStockInLocResponse> PtApplyStockInLoc(PtApplyStockInLocRequest reqEntity);
        SRes<int> PtCompleteTask(CompleteTaskRequest reqDto);
        SRes<int> PtSrmPickOutCompleted(PtSrmPickOutCompletedRequest reqDto);
        SRes PtPurchaseTask(PtUnboundRequest request);
        public SRes GetSyncMaterInfo(PtSyncMaterInfoListRequest ResData);
        SRes WareCellInit(int row, int col, int deot, int rowcount, int tun);
        SRes WcsProductionOutRequest(WcsProductionOutRequest request);
        bool UpdatePuchinfoModelColumns(UpdateModelColumns<ptBillPushinfo> updateModel);
    }
}
