﻿using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  码垛工字轮信息
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Bill_SpoolTrans")]
    public class BillSpoolTrans : BaseModel
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string ConBarCode { get; set; }

        /// <summary>
        /// 分拣库仓库编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string WarehouseCode { get; set; }

        /// <summary>
        /// 分拣库序号
        /// </summary>
        [SugarColumn(ColumnDataType = "int")]
        public int WarehouseSort { get; set; }

        /// <summary>
        /// 南北向
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string Direct { get; set; }

        /// <summary>
        /// 输送线号
        /// </summary>
        [SugarColumn(ColumnDataType = "int")]
        public int ConveyorSort { get; set; }

        /// <summary>
        /// 位置序号
        /// </summary>
        [SugarColumn(ColumnDataType = "int")]
        public int LocSort { get; set; }

        /// <summary>
        /// 湿拉物料编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string MatCode { get; set; }

        /// <summary>
        /// 异常盘类型
        /// </summary>
        [SugarColumn(ColumnDataType = "int")]
        public int ErrType { get; set; }

        /// <summary>
        /// 异常盘信息
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ErrMsg { get; set; }

        /// <summary>
        /// 湿拉工序订单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string BillCode { get; set; }

        /// <summary>
        /// 生产订单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string WorkOrder { get; set; }
    }
}
