﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("bill_feedback_push", "反馈推送信息表")]
    public class fjBillFeedbackPush : BaseModel
    {
        /// <summary>
        /// 单号
        /// </summary>
        [SugarColumn(ColumnName = "bill_code", ColumnDataType = "nvarchar", Length = 50)]
        public string BillCode { get; set; }
        /// <summary>
        /// RFID值
        /// </summary>
        [SugarColumn(ColumnName = "rfid", ColumnDataType = "nvarchar", Length = 50)]
        public string RFID { get; set; }
        /// <summary>
        /// 条码
        /// </summary>
        [SugarColumn(ColumnName = "rod_bar", ColumnDataType = "nvarchar", Length = 50)]
        public string RodBar { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        [SugarColumn(ColumnName = "mat_barcode", ColumnDataType = "nvarchar", Length = 50)]
        public string MatBarCode { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnName = "spool_code", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SpoolCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "ware_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        [SugarColumn(ColumnName = "ware_name", ColumnDataType = "nvarchar", Length = 50)]
        public string WareName { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        [SugarColumn(ColumnName = "loc_code", ColumnDataType = "nvarchar", Length = 50)]
        public string LocCode { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        [SugarColumn(ColumnName = "boiler_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        [SugarColumn(ColumnName = "pack_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PackNo { get; set; }
        /// <summary>
        /// 生产批号
        /// </summary>
        [SugarColumn(ColumnName = "batch", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Batch { get; set; }
        /// <summary>
        /// 改判结果
        /// </summary>
        [SugarColumn(ColumnName = "res_state", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ResState { get; set; }
        /// <summary>
        /// 原因
        /// </summary>
        [SugarColumn(ColumnName = "res_desc", ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string ResDesc { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnName = "mat_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MatCode { get; set; }
        /// <summary>
        /// 总重量
        /// </summary>
        [SugarColumn(ColumnName = "tol_weight", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal TolWeight { get; set; }
        /// <summary>
        /// 净重
        /// </summary>
        [SugarColumn(ColumnName = "net_weight", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal NetWeight { get; set; }
        /// <summary>
        /// 皮重
        /// </summary>
        [SugarColumn(ColumnName = "tare_weight", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal TareWeight { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        [SugarColumn(ColumnName = "req_id", ColumnDataType = "nvarchar", Length = 100)]
        public string ReqId { get; set; }
        /// <summary>
        /// 接口编码
        /// </summary>
        [SugarColumn(ColumnName = "api_code", ColumnDataType = "nvarchar", Length = 100)]
        public string ApiCode { get; set; }
        /// <summary>
        /// 接口名称
        /// </summary>
        [SugarColumn(ColumnName = "api_name", ColumnDataType = "nvarchar", Length = 100)]
        public string ApiName { get; set; }
        /// <summary>
        /// 推送次数
        /// </summary>
        [SugarColumn(ColumnName = "post_num")]
        public int PostNum { get; set; }
        /// <summary>
        /// 推送结果
        /// </summary>
        [SugarColumn(ColumnName = "post_result")]
        public int PostResult { get; set; }
      
    }
}
