﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("bill_task", "任务表")]
    public class fjBillTask : BaseModel
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [SugarColumn(ColumnName = "task_code",IsIdentity = true)]
        public int TaskCode { get; set; }
 
        /// <summary>
        /// 任务类型
        /// </summary>
        [SugarColumn(ColumnName = "task_type")]
        public int TaskType { get; set; }
        /// <summary>
        /// 任务状态
        /// </summary>
        [SugarColumn(ColumnName = "task_state")]
        public int TaskState { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        [SugarColumn(ColumnName = "priority", IsNullable = true)]
        public int Priority { get; set; }
        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnName = "equ_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string EquNo { get; set; }
        /// <summary>
        /// 堆垛机编号
        /// </summary>
        [SugarColumn(ColumnName = "srm_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SrmNo { get; set; }
        /// <summary>
        /// 起始位置
        /// </summary>
        [SugarColumn(ColumnName = "start_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string StartPoint { get; set; }
        /// <summary>
        /// 当前位置
        /// </summary>
        [SugarColumn(ColumnName = "cur_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CurPoint { get; set; }
        /// <summary>
        /// 下个位置
        /// </summary>
        [SugarColumn(ColumnName = "next_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string NextPoint { get; set; }
        /// <summary>
        /// 目标位置
        /// </summary>
        [SugarColumn(ColumnName = "end_point", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string EndPoint { get; set; }
        /// <summary>
        /// 容器id
        /// </summary>
        [SugarColumn(ColumnName = "stock_id")]
        public long ContGrpId { get; set; }
        /// <summary>
        /// 容器条码（盘条码，合金：RFID，分拣：托盘号）
        /// </summary>
        [SugarColumn(ColumnName = "cont_grp_barcode", ColumnDataType = "nvarchar", Length = 100)]
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 巷道
        /// </summary>
        [SugarColumn(ColumnName = "tunnel")]
        public int Tunnel { get; set; }
        /// <summary>
        /// 仓库
        /// </summary>
        [SugarColumn(ColumnName = "ware_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string WareCode { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        [SugarColumn(ColumnName = "qty", Length = 18, DecimalDigits = 6)]
        public decimal Qty { get; set; }
        /// <summary>
        /// 单据号
        /// </summary>
        [SugarColumn(ColumnName = "doc_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string DocCode { get; set; }
        /// <summary>
        /// 业务类型
        /// </summary>
        [SugarColumn(ColumnName = "bus_type", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BusType { get; set; }
        /// <summary>
        /// 是否手动任务
        /// </summary>
        [SugarColumn(ColumnName = "is_manual")]
        public int IsManual { get; set; }
        /// <summary>
        /// 是否空盘任务
        /// </summary>
        [SugarColumn(ColumnName = "is_empty")]
        public int IsEmpty { get; set; }
        /// <summary>
        /// 载货尺寸
        /// </summary>
        [SugarColumn(ColumnName = "size")]
        public int Size { get; set; }
        [SqlSugar.SugarColumn(IsEnableUpdateVersionValidation = true)]//标识版本字段
        public long Ver { get; set; }
    }
}
