﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_container", "容器表")]
    public class sxBillContainer : BaseModel
    {
        /// <summary>
        /// 容器id
        /// </summary>
        [SugarColumn(ColumnName = "stock_id")]
        public long ContGrpId { get; set; }
        /// <summary>
        /// 容器条码（盘条码，合金：RFID，分拣：托盘号）
        /// </summary>
        [SugarColumn(ColumnName = "cont_grp_barcode", ColumnDataType = "nvarchar", Length = 100)]
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 成品箱条码
        /// </summary>
        [SugarColumn(ColumnName = "box_barcode", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BoxBarCode { get; set; }
        /// <summary>
        /// 操作状态
        /// </summary>
        [SugarColumn(ColumnName = "exec_state")]
        public int ExecState { get; set; }
        /// <summary>
        /// 垛型ID
        /// </summary>
        [SugarColumn(ColumnName = "stack_id")]
        public long StackId { get; set; }
        /// <summary>
        // Bom工单号
        /// </summary>
        [SugarColumn(ColumnName = "bom_docs_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BomDocsNo { get; set; }
        /// <summary>
        // 执行单据号
        /// </summary>
        [SugarColumn(ColumnName = "exec_docs_no", ColumnDataType = "nvarchar", Length = 100)]
        public string ExecDocsNo { get; set; }
        /// <summary>
        // 执行单据行号
        /// </summary>
        [SugarColumn(ColumnName = "exec_docs_row_no", ColumnDataType = "nvarchar", Length = 100)]
        public string ExecDocsRowNo { get; set; }
        /// <summary>
        // 执行单据类型代码
        /// </summary>
        [SugarColumn(ColumnName = "exec_docs_type_code", ColumnDataType = "nvarchar", Length = 100)]
        public string ExecDocsTypeCode { get; set; }
        /// <summary>
        /// 客戶编码
        /// </summary>
        [SugarColumn(ColumnName = "cust_code", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string CustCode { get; set; }
        /// <summary>
        /// 客戶名称
        /// </summary>
        [SugarColumn(ColumnName = "cust_name", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string CustName { get; set; }
        /// <summary>
        /// 摆放行
        /// </summary>
        [SugarColumn(ColumnName = "put_row")]
        public int PutRow { get; set; }
        /// <summary>
        /// 摆放列
        /// </summary>
        [SugarColumn(ColumnName = "put_col")]
        public int PutCol { get; set; }
        /// <summary>
        /// 摆放层
        /// </summary>
        [SugarColumn(ColumnName = "put_layer")]
        public int PutLayer { get; set; }
        /// <summary>
        /// 摆放位置编号
        /// </summary>
        [SugarColumn(ColumnName = "put_loc_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PutLocNo { get; set; }
        /// <summary>
        /// 材料号，空容器为容器号
        /// </summary>
        [SugarColumn(ColumnName = "inv_barcode", ColumnDataType = "nvarchar", Length = 100)]
        public string InvBarCode { get; set; }
        /// <summary>
        /// 库存状态(正常/锁定：Normal/Lock)
        /// </summary>
        [SugarColumn(ColumnName = "inv_state", ColumnDataType = "nvarchar", Length = 100)]
        public string InvState { get; set; }
        /// <summary>
        /// 入库单据号
        /// </summary>
        [SugarColumn(ColumnName = "in_docs_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string InDocsNo { get; set; }
        /// <summary>
        /// 入库单据行号
        /// </summary>
        [SugarColumn(ColumnName = "in_docs_row_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string InDocsRowNo { get; set; }
        /// <summary>
        /// 供应商编码
        /// </summary>
        [SugarColumn(ColumnName = "supp_code", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SuppCode { get; set; }
        /// <summary>
        /// 供应商名称
        /// </summary>
        [SugarColumn(ColumnName = "supp_name", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SuppName { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnName = "mat_code", ColumnDataType = "nvarchar", Length = 50)]
        public string MatCode { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        [SugarColumn(ColumnName = "mat_id")]
        public long MatId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WarehouseCode { get; set; }
        /// <summary>
        /// 仓库id
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_id")]
        public long WarehouseId { get; set; }
        /// <summary>
        /// 总重量
        /// </summary>
        [SugarColumn(ColumnName = "total_wt_qty", Length = 18, DecimalDigits = 6)]
        public decimal TotalWtQty { get; set; }
        /// <summary>
        /// 净重(重量，盘条:包重，其他:钢丝净重)
        /// </summary>
        [SugarColumn(ColumnName = "net_wt_qty", Length = 18, DecimalDigits = 6)]
        public decimal NetWQty { get; set; }
        /// <summary>
        /// 皮重(空工字轮重量)
        /// </summary>
        [SugarColumn(ColumnName = "tare_wt_qty", Length = 18, DecimalDigits = 6)]
        public decimal TareWQty { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        [SugarColumn(ColumnName = "length_qty", Length = 18, DecimalDigits = 6)]
        public decimal LengthQty { get; set; }
        /// <summary>
        /// 生产批号
        /// </summary>
        [SugarColumn(ColumnName = "batch", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Batch { get; set; }
        /// <summary>
        /// 生产时间（'20230214；默认值19000101）
        /// </summary>
        [SugarColumn(ColumnName = "product_time")]
        public DateTime ProductTime { get; set; }
        /// <summary>
        /// 第一次入库时间（'20230214；默认值19000101）
        /// </summary>
        [SugarColumn(ColumnName = "one_in_time")]
        public DateTime OneInTime { get; set; }
        /// <summary>
        /// 最新入库时间（'20230214；默认值19000101）
        /// </summary>
        [SugarColumn(ColumnName = "last_in_time")]
        public DateTime LastInTime { get; set; }
        /// <summary>
        /// 碳当量
        /// </summary>
        [SugarColumn(ColumnName = "ca_qty", Length = 18, DecimalDigits = 6)]
        public decimal CaQty { get; set; }
        /// <summary>
        /// 盘条条码
        /// </summary>
        [SugarColumn(ColumnName = "rod_barcode", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string RodBarCode { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnName = "hw_barcode", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string HWBarCode { get; set; }
        /// <summary>
        /// RFID条码
        /// </summary>
        [SugarColumn(ColumnName = "rfid_barcode", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string RFIDBarCode { get; set; }
        /// <summary>
        /// 工字轮规格（WS09，WS18，等, 500,800）
        /// </summary>
        [SugarColumn(ColumnName = "hw_spec", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string HWSpec { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        [SugarColumn(ColumnName = "boiler_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        [SugarColumn(ColumnName = "pack_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackNo { get; set; }
        /// <summary>
        /// 牌号
        /// </summary>
        [SugarColumn(ColumnName = "brand_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BrandNo { get; set; }
        /// <summary>
        /// 执行标准
        /// </summary>
        [SugarColumn(ColumnName = "exec_sd", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ExecStd { get; set; }
        /// <summary>
        /// 许可证号
        /// </summary>
        [SugarColumn(ColumnName = "licence_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string LicenceNo { get; set; }
        /// <summary>
        /// 改手盘标记
        /// </summary>
        [SugarColumn(ColumnName = "is_surplus", IsNullable = true)]
        public bool IsSurplus { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        [SugarColumn(ColumnName = "is_rework", IsNullable = true)]
        public bool IsRework { get; set; }
        /// <summary>
        /// 单/双丝
        /// </summary>
        [SugarColumn(ColumnName = "silk_type", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SilkType { get; set; }
        /// <summary>
        /// 是否黑盘
        /// </summary>
        [SugarColumn(ColumnName = "is_black")]
        public bool IsBlack { get; set; }
        /// <summary>
        /// 是否芯股
        /// </summary>
        [SugarColumn(ColumnName = "is_core")]
        public bool IsCore { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        [SugarColumn(ColumnName = "is_fast", IsNullable = true)]
        public bool IsFast { get; set; }
        /// <summary>
        /// 是否异常
        /// </summary>
        [SugarColumn(ColumnName = "is_fail", IsNullable = true)]
        public bool IsFail { get; set; }
        /// <summary>
        /// 异常原因
        /// </summary>
        [SugarColumn(ColumnName = "fail_reason", ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string FailReason { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        [SugarColumn(ColumnName = "solder_qty")]
        public int SolderQty { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        [SugarColumn(ColumnName = "grade", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Grade { get; set; }
        /// <summary>
        /// 退料原因
        /// </summary>
        [SugarColumn(ColumnName = "reason", ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string Reason { get; set; }
        /// <summary>
        /// 是否退料
        /// </summary>
        [SugarColumn(ColumnName = "is_back")]
        public bool IsBack { get; set; }
        /// <summary>
        /// 是否 扭转检测
        /// </summary>
        [SugarColumn(ColumnName = "is_tors_chk")]
        public bool IsTorsChk { get; set; }
        /// <summary>
        /// 扭转次数
        /// </summary>
        [SugarColumn(ColumnName = "tors_chk_qty")]
        public int TorsChkQty { get; set; }
        /// <summary>
        /// 扭转检测时间
        /// </summary>
        [SugarColumn(ColumnName = "tors_chk_time")]
        public DateTime TorsChkTime { get; set; }
        /// <summary>
        /// 扭转检测结果值
        /// </summary>
        [SugarColumn(ColumnName = "tors_chk_value", Length = 18, DecimalDigits = 6)]
        public decimal TorsChkValue { get; set; }
        /// <summary>
        /// 扭转检测设备号
        /// </summary>
        [SugarColumn(ColumnName = "tors_chk_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkMacNo { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        [SugarColumn(ColumnName = "process_docs_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProcessDocsNo { get; set; }
        /// <summary>
        /// 生产机台号
        /// </summary>
        [SugarColumn(ColumnName = "product_wb_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProductWbNo { get; set; }
        /// <summary>
        /// 生产产线号
        /// </summary>
        [SugarColumn(ColumnName = "product_line_no", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProductLineNo { get; set; }
        [SqlSugar.SugarColumn(IsEnableUpdateVersionValidation = true)]//标识版本字段
        public long Ver { get; set; }
    }
}
